<div class="login-body">

    <div class="login-page">

        <form *ngIf="form" [formGroup]="form" (ngSubmit)="onSubmit()" novalidate>

            <div class="login-block">

                <h1 class="logo"><img class="img-responsive" src="/assets/images/logo.png?v=3"></h1>

            
                <wms-messages [messages]="messages"></wms-messages>
                <div class="form-group" [class.error-style]="submitted && form.controls.username.errors">
                    <label>Username</label>
                    <div class="input-group">
                        <span class="input-group-addon">
                           <i class="fa fa-user-o"></i>
                        </span>
                        <input type="text" class="form-control" formControlName="username" placeholder="Username...">
                    </div>
                    <p *ngIf="submitted && form.controls.username.hasError('required')" class="error">
                        Field is required.
                    </p>
                </div>
                <div class="form-group" [class.error-style]="submitted && form.controls.password.errors">
                    <label>PASSWORD</label>
                    <div class="input-group">
                        <span class="input-group-addon">
                            <img src="/assets/images/key.svg">
                        </span>
                        <input type="password" class="form-control" formControlName="password" placeholder="Password...">
                    </div>
                    <p *ngIf="submitted && form.controls.password.hasError('required')" class="error">
                        Password is required.
                    </p>
                </div>
                <div class="button-login clearfix">
                    <button type="submit" class="btn btn-primary no-margin-left">Login</button>
                </div>
                <div class="form-group clearfix text-center">
                    <a [routerLink]="['/forgot-password']" class="forgot-password">Forgot Password</a>
                </div>

                

            </div>
        </form>
    </div>
</div>
